Bug 97918 - gv-3.5.8-22+gs8.00 cannot display files in other directories
Summary: gv-3.5.8-22+gs8.00 cannot display files in other directories
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gv (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-24 01:29 UTC by John Bowman
Modified: 2007-04-18 16:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 18:25:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (700 bytes, patch)
2003-06-24 01:31 UTC, John Bowman
no flags Details | Diff

Description John Bowman 2003-06-24 01:29:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
The -dSAFER option of gs has been changed as of version 8.00
to prevent files in other directories from being read. The attached patch does a
chdir to the correct directory before attempting to open a file.
For security reasons, this patch is preferrable to simply turning off the
ghostscript SAFER option as a workaround.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Upgrade to gs 8.00 
2.Attempt to access any pdf file in another directory (or with a browser set to
use gv). Make sure that you have the GV.gsSafer is set to true
or give gv the -safer command line option.

    

Additional info:

Comment 1 John Bowman 2003-06-24 01:31:30 UTC
Created attachment 92573 [details]
patch

Comment 2 Josh Bressers 2004-06-18 18:38:24 UTC
Removing security severity; while the fix can have security
implications, the issue in itself is not a security issue.

Comment 3 Bill Nottingham 2006-08-04 21:35:55 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 5 Bill Nottingham 2007-01-02 18:25:44 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.